<template>
    <div class="common-btn-box3" @click="handleBtnClick()" style="">
        <span>生成箱码</span>
    </div>
</template>

<script setup lang="ts" name="GenerateBox">
defineProps<{
    selectionList?: any[];
    handleChildBtnCallback?: () => void;
    ruleForm: any;
}>();
const emits = defineEmits<{
    (e: "handleBtnItemCallback", result: Record<string, any>): void;
}>();

// 提交事件
const handleBtnClick = () => {
    emits("handleBtnItemCallback", {
        type: "Generate"
    });
};
</script>

<style scoped>
@import "../index.scss";
</style>
